# LXFProtocolTool
[![Build Status](https://travis-ci.org/LinXunFeng/LXFProtocolTool.svg?branch=master)](https://travis-ci.org/LinXunFeng/LXFProtocolTool) 
[![Version](https://img.shields.io/cocoapods/v/LXFProtocolTool.svg?style=flat)](http://cocoapods.org/pods/LXFProtocolTool)
[![License](https://img.shields.io/cocoapods/l/LXFProtocolTool.svg?style=flat)](http://cocoapods.org/pods/LXFProtocolTool)
[![Platform](https://img.shields.io/cocoapods/p/LXFProtocolTool.svg?style=flat)](http://cocoapods.org/pods/LXFProtocolTool)

通过协议的方式来方便快捷地实现一些的实用功能，目前功能不多，往后会逐渐增加，喜欢的来个Star吧 : )

对Swift协议不熟悉的同学可以阅读以下两篇文章做下了解:



[iOS - Swift 面向协议编程（一）](https://juejin.im/post/59ee05346fb9a0452845a7e8) -- [【LXF】](http://linxunfeng.top/2017/09/12/iOS-Swift-%E9%9D%A2%E5%90%91%E5%8D%8F%E8%AE%AE%E7%BC%96%E7%A8%8B%EF%BC%88%E4%B8%80%EF%BC%89/) 
[【掘金】](https://juejin.im/post/59ee05346fb9a0452845a7e8) 
[【简书】](https://www.jianshu.com/p/0c34114b94e7)

[iOS - Swift 面向协议编程（二）](https://juejin.im/post/59ee05846fb9a0451329dd52) -- [【LXF】](http://linxunfeng.top/2017/09/12/iOS-Swift-%E9%9D%A2%E5%90%91%E5%8D%8F%E8%AE%AE%E7%BC%96%E7%A8%8B%EF%BC%88%E4%BA%8C%EF%BC%89/)
[【掘金】](https://juejin.im/post/59ee05346fb9a0452845a7e8)
[【简书】](https://www.jianshu.com/p/af1832b27952)



## CocoaPods

LXFProtocolTool 支持CocoaPods:

- 完全安装
```ruby
pod 'LXFProtocolTool'
```

当然，也可以根据自己的需要安装指定子库

- Xib加载
```ruby
pod 'LXFProtocolTool/LXFNibloadable'
```

- 空白视图
```ruby
pod 'LXFProtocolTool/EmptyDataSetable'
```

- 刷新控件

```ruby
pod 'LXFProtocolTool/Refreshable'
```

- 关联属性

```ruby
pod 'LXFProtocolTool/AssociatedObjectStore'
```

- 全屏

```ruby
pod 'LXFProtocolTool/FullScreenable'
```



## Usage

> 具体功能与使用请跳转 -- [Wiki首页](https://github.com/LinXunFeng/LXFProtocolTool/wiki)

### Wiki目录

- [LXFNibloadable](https://github.com/LinXunFeng/LXFProtocolTool/wiki/LXFNibloadable)
- [EmptyDataSetable](https://github.com/LinXunFeng/LXFProtocolTool/wiki/EmptyDataSetable)
- [Refreshable](https://github.com/LinXunFeng/LXFProtocolTool/wiki/Refreshable)
- [FullScreenable](https://github.com/LinXunFeng/LXFProtocolTool/wiki/FullScreenable)



## Article

- [iOS 面向协议方式封装空白页功能](https://juejin.im/post/5ac8a2f4f265da23870f1578)

- [RxSwift + MJRefresh 打造自动处理刷新控件状态](https://juejin.im/post/59ee1e215188255f5a473b89)

- [iOS 面向协议封装全屏旋转功能](https://juejin.im/post/5b9cd4596fb9a05d09654244)



## License

LXFProtocolTool is available under the MIT license. See the LICENSE file for more info.



## Author
- LinXunFeng
- email: [598600855@qq.com](mailto:598600855@qq.com)
- Blogs
    - ![linxunfeng](https://github.com/favicon.ico) [LinXunFeng‘s Blog](http://linxunfeng.top/)
    - ![juejin](https://juejin.im/favicon.ico) [掘金](https://juejin.im/user/58f8065e61ff4b006646c72d/posts)
    - ![jianshu](https://www.jianshu.com/favicon.ico) [简书](https://www.jianshu.com/u/31e85e7a22a2) 

